Bug 482189 - Akonadi not working after upgrading from 5.27 to 6.0
Summary: Akonadi not working after upgrading from 5.27 to 6.0
Status: RESOLVED FIXED
Alias: None
Product: neon
Classification: KDE Neon
Component: Packages User Edition (show other bugs)
Version: unspecified
Platform: Neon Linux
: NOR normal
Target Milestone: ---
Assignee: Neon Bugs
URL:
Keywords: qt6
Depends on:
Blocks:
 
Reported: 2024-03-01 19:34 UTC by mattias.lundahl
Modified: 2024-03-19 11:33 UTC (History)
8 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mattias.lundahl 2024-03-01 19:34:34 UTC
SUMMARY
After upgrading from 5.27 to 6.0, it seems akonadi isn't working.

STEPS TO REPRODUCE
1. Upgrade from 5.27 to 6.0
2. Reboot
3. Try to start akonadi

OBSERVED RESULT
I run akonadictl start in the terminal and get the following:

mattias@XPS15:~$ akonadictl start
org.kde.pim.akonadictl: Starting Akonadi Server...
org.kde.pim.akonadictl:    done.
mattias@XPS15:~$ Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
org.kde.pim.akonadiserver: Starting up the Akonadi Server...
org.kde.pim.akonadiserver: mysqld not found. Please verify your installation
org.kde.pim.akonadiserver: Shutting down AkonadiServer...
org.kde.pim.akonadicontrol: Application '/usr/bin/akonadiserver' exited normally...


I tried running sudo pkcon install mysqld, but I just get the following:

mattias@XPS15:~$ sudo pkcon install mysqld
[sudo] password for mattias: 
Resolving                               [=========================]         Package not found: mysqld
Command failed: This tool could not find any available package.


EXPECTED RESULT
akonadi should start

SOFTWARE/OS VERSIONS
Linux: 6.5
KDE Plasma Version: 6.0
KDE Frameworks Version: 6.0
Qt Version: 6.6.2
Comment 1 Harald Sitter 2024-03-01 22:40:59 UTC
What's the output of

apt policy akonadi-backend-mysql
Comment 2 mattias.lundahl 2024-03-02 07:16:33 UTC
(In reply to Harald Sitter from comment #1)
> What's the output of
> 
> apt policy akonadi-backend-mysql

I get the following:


mattias@XPS15:~$ sudo apt policy akonadi-backend-mysql
[sudo] password for mattias: 
akonadi-backend-mysql:
  Installed: (none)
  Candidate: 4:24.02.0-0xneon+22.04+jammy+release+build50
  Version table:
     4:24.02.0-0xneon+22.04+jammy+release+build50 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        100 /var/lib/dpkg/status
     4:23.08.4-0xneon+22.04+jammy+release+build48 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        500 http://archive.neon.kde.org/user jammy/main i386 Packages
        500 http://archive.neon.kde.org/user jammy/main all Packages
     4:23.08.4-0xneon+22.04+jammy+release+build47 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        500 http://archive.neon.kde.org/user jammy/main i386 Packages
        500 http://archive.neon.kde.org/user jammy/main all Packages
     4:23.08.4-0xneon+22.04+jammy+release+build46 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        500 http://archive.neon.kde.org/user jammy/main i386 Packages
        500 http://archive.neon.kde.org/user jammy/main all Packages
     4:21.12.3-0ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu jammy/universe amd64 Packages
        500 http://archive.ubuntu.com/ubuntu jammy/universe i386 Packages
Comment 3 domhans 2024-03-06 12:08:12 UTC
Hi, I have similar issues with akonadi after upgrading to Plama 6 in kde neon.
Although akonadi seems to basically works, kmail is widely broken:
- my gmail does not work any more
- my work ews (outlook) account only fetches mails after a manual 'try connect' following authentication. Sending amil works randomly, mainly not
- akonadictl fsck & akonadictl vacuum does nothin/ holds without any output

thank you
dom
Comment 4 Tony Bazeley 2024-03-12 06:27:29 UTC
I have what looks to be the same problem

sudo pkcon get-packages | grep akonadi-backend
Available    akonadi-backend-mysql-4:24.02.0-0xneon+22.04+jammy+release+build50.amd64 (user_jammy-jammy-main)
Available    akonadi-backend-postgresql-4:24.02.0-0xneon+22.04+jammy+release+build50.amd64 (user_jammy-jammy-main)
Available    akonadi-backend-sqlite-4:24.02.0-0xneon+22.04+jammy+release+build50.all (user_jammy-jammy-main)

apt policy akonadi-backend-mysql
akonadi-backend-mysql:
  Installed: (none)
  Candidate: 4:24.02.0-0xneon+22.04+jammy+release+build50
  Version table:
     4:24.02.0-0xneon+22.04+jammy+release+build50 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        100 /var/lib/dpkg/status
     4:23.08.4-0xneon+22.04+jammy+release+build48 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        500 http://archive.neon.kde.org/user jammy/main all Packages
     4:23.08.4-0xneon+22.04+jammy+release+build47 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        500 http://archive.neon.kde.org/user jammy/main all Packages
     4:23.08.4-0xneon+22.04+jammy+release+build46 500
        500 http://archive.neon.kde.org/user jammy/main amd64 Packages
        500 http://archive.neon.kde.org/user jammy/main all Packages
     4:21.12.3-0ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu jammy/universe amd64 Packages

Is sudo pkcon install akonadi-backend-mysql the recommended fix??
Comment 5 Rüdiger Härtel 2024-03-17 19:14:36 UTC
> Is sudo pkcon install akonadi-backend-mysql the recommended fix??

This fixes it for me.
Thanks.
Comment 6 Carlos De Maine 2024-03-19 11:33:28 UTC
closing as reported fixed